Bug 497210 - Totem won't download subtitles - backtrace
Summary: Totem won't download subtitles - backtrace
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-22 19:29 UTC by Mathieu Bridon
Modified: 2014-02-11 04:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 12:10:30 UTC


Attachments (Terms of Use)

Description Mathieu Bridon 2009-04-22 19:29:49 UTC
Description of problem:
Totem won't download subtitles.


Version-Release number of selected component (if applicable):
totem-2.26.1-2.fc11.x86_64


How reproducible:
Always (well, when it actually manages to find some subtitles but this seems to be because of opensubtitles.org failing)


Steps to Reproduce:
1. Run in terminal: totem <some file>.avi
2. View -> Download subtitles -> select « english » then click « find »
3. If totem could contact opensubtitles.org and found some subtitles, click « Play with subtitles »


Actual results:
Totem hangs, terminal shows:
$ LANG=C totem The.Shield.S07E03.Money.Shot.avi 
/usr/lib/python2.6/site-packages/gdata/tlslite/utils/cryptomath.py:9: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha
Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 629, in on_apply_clicked
    self.os_download_and_apply()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 578, in os_download_and_apply
    self.os_save_selected_subtitle()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 511, in os_save_selected_subtitle
    directory.make_directory()
gio.Error: Error creating directory: No such file or directory


Expected results:
Totem reads the movie with the subtitles.

Comment 1 Bastien Nocera 2009-04-23 10:36:15 UTC
That patch should be enough.

--- a/src/plugins/opensubtitles/opensubtitles.py
+++ b/src/plugins/opensubtitles/opensubtitles.py
@@ -517,7 +517,7 @@ class OpenSubtitles(totem.Plugin):
             if not filename:
                 directory = gio.File(xdg.BaseDirectory.xdg_cache_home + sep + 'totem' + sep + 'subtitles' + sep) 
                 if not directory.query_exists():
-                    directory.make_directory()
+                    directory.make_directory_with_parents()
 
                 file = gio.File(self.filename)
                 movie_name = file.get_basename().rpartition('.')[0]

Comment 2 Bastien Nocera 2009-04-23 12:58:41 UTC
Fixed upstream, will be in the next build.

Comment 3 Mathieu Bridon 2009-05-11 23:53:35 UTC
Reopening.

I have:
totem-2.26.2-1.fc11.x86_64

The line you mention in your patch is here. Now I have the following stacktrace:
Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 629, in on_apply_clicked
    self.os_download_and_apply()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 578, in os_download_and_apply
    self.os_save_selected_subtitle()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 511, in os_save_selected_subtitle
    directory.make_directory_with_parents()
AttributeError: '__main__.GLocalFile' object has no attribute 'make_directory_with_parents'

Comment 4 Gireesh Sreekantan 2009-06-09 12:19:57 UTC
reproducible on i586 with following version of totem.
totem-2.26.2-1.fc11.i586

Totem doesn't hang for me but it says "Could not contact opensubtitles.org" always. For me at least, it has never managed to contact the opensubtitles site yet.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Mathieu Bridon 2009-06-09 12:50:11 UTC
(In reply to comment #4)
> reproducible on i586 with following version of totem.
> totem-2.26.2-1.fc11.i586
> 
> Totem doesn't hang for me but it says "Could not contact opensubtitles.org"
> always. For me at least, it has never managed to contact the opensubtitles site
> yet.

I think that's not the same issue.

Got to opensubtitles.org with your web browser, you'll see that it is almost always overloaded, you get a lot of 50x HTTP errors,...

So you have to try a lot before Totem actually connects to opensubtitles.org and finds the subtitle. Even once it found it, you can still get the same HTTP errors when trying to download it.

This issue is in opensubtitles.org, but it reflects poorly on Totem (and Totem makes it worse when it actually fails with the above stacktrace :)

Comment 6 Bug Zapper 2009-06-09 14:25:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Julian Sikorski 2009-07-25 10:33:57 UTC
This still happens with 2.26.3:
[jsikorski@snowball ~]$ totem --debug
Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 629, in on_apply_clicked
    self.os_download_and_apply()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 578, in os_download_and_apply
    self.os_save_selected_subtitle()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 511, in os_save_selected_subtitle
    directory.make_directory_with_parents()
AttributeError: '__main__.GLocalFile' object has no attribute 'make_directory_with_parents'

Comment 8 Kim 2009-08-04 15:16:27 UTC
Using totem-2.26.3-1.fc11.x86_6:

Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 589, in on_treeview__row_activate
    self.os_download_and_apply()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 578, in os_download_and_apply
    self.os_save_selected_subtitle()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 511, in os_save_selected_subtitle
    directory.make_directory_with_parents()
AttributeError: '__main__.GLocalFile' object has no attribute 'make_directory_with_parents'

Comment 9 Tadej Janež 2009-11-05 13:48:52 UTC
Same here with: totem-2.26.3-5.fc11.i586


Traceback (most recent call last):
  File "/usr/lib/totem/plugins/opensubtitles/opensubtitles.py", line 629, in on_apply_clicked
    self.os_download_and_apply()
  File "/usr/lib/totem/plugins/opensubtitles/opensubtitles.py", line 578, in os_download_and_apply
    self.os_save_selected_subtitle()
  File "/usr/lib/totem/plugins/opensubtitles/opensubtitles.py", line 511, in os_save_selected_subtitle
    directory.make_directory_with_parents()
AttributeError: '__main__.GLocalFile' object has no attribute 'make_directory_with_parents'

Comment 10 Julian Sikorski 2009-11-10 15:03:08 UTC
I just tried totem-2.28.2-2.fc12.x86_64 on F-12 prerelase and it seems to work fine.

Comment 11 Tadej Janež 2009-11-19 15:00:41 UTC
I can confirm this is fixed in totem-2.28.2-2.fc12.i686 on F12.

Comment 12 Bug Zapper 2010-04-27 13:53:17 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-06-28 12:10:30 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 14 Asif Ali Rizvan 2014-02-11 03:55:16 UTC
Ironic, even after 10 releases, the rawhide's totem/videos still won't download subtitles. (not even open the subtitle download dialog)

So "A bug's life" is just 6 months! 

Why don't we forward bugs upstream, instead of just closing at bugzilla?

Comment 15 Mathieu Bridon 2014-02-11 03:59:17 UTC
As the original reporter, I have to say that this has been working consistently for me for a long time.

That bug has been closed almost 4 years ago, so it you still have a problem, you probably had time (and still have, in fact) to reopen it (if it was the same issue), or open a new one?

Comment 16 Asif Ali Rizvan 2014-02-11 04:01:58 UTC
(In reply to Mathieu Bridon from comment #15)
> As the original reporter, I have to say that this has been working
> consistently for me for a long time.
> 
> That bug has been closed almost 4 years ago, so it you still have a problem,
> you probably had time (and still have, in fact) to reopen it (if it was the
> same issue), or open a new one?

ok, my bad, I'm reporting it upstream instead. gnome videos 3.11.4/5


Note You need to log in before you can comment on or make changes to this bug.